## org.hibernate.service.jta.platform.internal
Class TransactionManagerLookupBridge

    java.lang.Object
      org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
          org.hibernate.service.jta.platform.internal.TransactionManagerLookupBridge

All Implemented Interfaces:
  Serializable, TransactionManagerAccess, JtaPlatform, Service, Configurable, ServiceRegistryAwareService

    public class TransactionManagerLookupBridge

extends AbstractJtaPlatform

See Also:
  Serialized Form

Constructor Summary
`TransactionManagerLookupBridge(TransactionManagerLookup lookup, Properties jndiProperties)`

Method Summary
`Object` `getTransactionIdentifier(Transaction transaction)` Determine an identifier for the given transaction appropriate for use in caching/lookup usages.
`protected TransactionManager` `locateTransactionManager()`
`protected UserTransaction` `locateUserTransaction()`

Methods inherited from class org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
`canCacheTransactionManager, canCacheUserTransaction, canRegisterSynchronization, configure, getCurrentStatus, getSynchronizationStrategy, getTransactionManager, injectServices, jndiService, registerSynchronization, retrieveTransactionManager, retrieveUserTransaction, serviceRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionManagerLookupBridge

    public TransactionManagerLookupBridge(TransactionManagerLookup lookup,
                                          Properties jndiProperties)

Method Detail

### locateTransactionManager

    protected TransactionManager locateTransactionManager()

  Specified by:
    `locateTransactionManager` in class `AbstractJtaPlatform`

### locateUserTransaction

    protected UserTransaction locateUserTransaction()

  Specified by:
    `locateUserTransaction` in class `AbstractJtaPlatform`

### getTransactionIdentifier

    public Object getTransactionIdentifier(Transaction transaction)

  Description copied from interface: `JtaPlatform`
  Determine an identifier for the given transaction appropriate for use in caching/lookup usages.

  Generally speaking the transaction itself will be returned here. This method was added specifically for use in WebSphere and other unfriendly JEE containers (although WebSphere is still the only known such brain-dead, sales-driven impl).

  Specified by:
    `getTransactionIdentifier` in interface `JtaPlatform`
  Overrides:
    `getTransactionIdentifier` in class `AbstractJtaPlatform`
  Parameters:
    `transaction` - The transaction to be identified.
  Returns:
    An appropriate identifier

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.